<?php

defined('BASEPATH') or exit('No direct script access allowed');


class Returning_case_added extends App_mail_template
{
    protected $for = 'leads';

    protected $lead_id;

    protected $user_email;

    public $slug = 'case-returned';

    public $rel_type = 'lead';

    public function __construct($lead_id, $user_email)
    {
        parent::__construct();
        $this->lead_id     = $lead_id;
        $this->user_email = $user_email;
    }

    public function build()
    {
        $this->to($this->user_email)
        ->set_rel_id($this->lead_id)
        ->set_merge_fields('leads_merge_fields', $this->lead_id);
    }
}
